Page MenuHomePhabricator

Goal: Performance analyses for visual, 2017, and 2010 editors
Closed, ResolvedPublic0 Story Points

Description

There is no good grasp of the performance of the visual, 2017, and 2010 editors relative to each other. The visual and 2017 editors have bad worst-case performance against the 2010 editor as evidenced by slow load times on exceptionally large articles, but the average-case performance is better against some performance metrics such as time to first meaningful paint and time taken to become interactive.

In order to understand and improve the performance of these editors, it is a Q2 goal of the Editing team to carry out rigorous performance analyses of the editors. Multiple factors must be considered, such as:

  • best-, average-, and worst-case performance
  • performance on fast and slow machines
  • performance on fast, slow, and lossy connections
  • evaluation against multiple different performance metrics

From this, benchmarks can be set, and actionable performance improvements can be identified.

Event Timeline

Deskana created this task.Oct 20 2017, 3:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2017, 3:09 PM
Deskana claimed this task.Oct 20 2017, 3:10 PM
Deskana triaged this task as High priority.
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.Oct 20 2017, 3:35 PM
Elitre added a subscriber: Elitre.
Deskana set the point value for this task to 0.Oct 27 2017, 3:07 PM
Deskana closed this task as Resolved.Jul 12 2018, 2:34 PM

They still need some polishing, but the core of them is complete.

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:34 AM